# Method: networks.hubs.create

Creates a Hub.

### HTTP request

`POST https://middlemileoptimization.googleapis.com/v1/{parent=networks/*}/hubs`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where this hub will be created. Format: "networks/{network}" |

### Query parameters

| Parameters ||
|---|---|
| `hubId` | `string` Required. Identifier of the hub to create. |

### Request body

The request body contains an instance of `https://developers.google.com/optimization/middlemileoptimization/reference/rest/v1/networks.hubs#Hub`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/optimization/middlemileoptimization/reference/rest/v1/networks.hubs#Hub`.